summaryrefslogtreecommitdiffstats
path: root/cvp/docker/db/restart_db.sh
diff options
context:
space:
mode:
Diffstat (limited to 'cvp/docker/db/restart_db.sh')
-rwxr-xr-xcvp/docker/db/restart_db.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/cvp/docker/db/restart_db.sh b/cvp/docker/db/restart_db.sh
new file mode 100755
index 00000000..e44bc07c
--- /dev/null
+++ b/cvp/docker/db/restart_db.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+##############################################################################
+# Copyright (c) 2016 HUAWEI TECHNOLOGIES CO.,LTD and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+
+if [ "$#" -ne 1 ]; then
+ echo "Error: missing parameter! try again like this:"
+ echo ""
+ echo "./restart_db.sh 192.168.115.2"
+ echo ""
+ echo "parameters:"
+ echo " db_host_ip: your localhost ip address"
+ echo ""
+ exit 1
+fi
+
+export mongodb_port=${mongodb_port:-"27017"}
+export testapi_port=${testapi_port:-"8000"}
+export db_host_ip=${db_host_ip:-"$1"}
+
+sudo docker rm -f testapi
+sudo docker run -itd -p $testapi_port:8000 --name testapi \
+ -e mongodb_url=mongodb://$db_host_ip:$mongodb_port/ opnfv/testapi:cvp.0.5.0